public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/typescript-mode/, app-emacs/typescript-mode/files/
@ 2022-05-05 11:22 Maciej Barć
  0 siblings, 0 replies; only message in thread
From: Maciej Barć @ 2022-05-05 11:22 UTC (permalink / raw
  To: gentoo-commits

commit:     f1a12c8994bf9be83072f1f26424295f586b0aa3
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu May  5 11:19:12 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu May  5 11:19:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1a12c89

app-emacs/typescript-mode: new package; add version 0.4

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/typescript-mode/Manifest                 |  1 +
 .../files/50typescript-mode-gentoo.el              |  4 +++
 app-emacs/typescript-mode/metadata.xml             | 13 ++++++++
 .../typescript-mode/typescript-mode-0.4.ebuild     | 35 ++++++++++++++++++++++
 4 files changed, 53 insertions(+)

diff --git a/app-emacs/typescript-mode/Manifest b/app-emacs/typescript-mode/Manifest
new file mode 100644
index 000000000000..f75396bf931f
--- /dev/null
+++ b/app-emacs/typescript-mode/Manifest
@@ -0,0 +1 @@
+DIST typescript-mode-0.4.tar.gz 65534 BLAKE2B b72047749cac571ad4a109b0d8650319137c2f75672882940092bff097e3a8c877b59cb51aa89b28a6cbeacfddbd6730e634a5a33305c006d401d326fd7f5704 SHA512 5bb38ab14fa9b022744b790e62740a95cee4ca906bab9eaaea8804cfae78c4ead54770d7e53d323ee57799bff5101cc10b7327105b7b0d0b17c74bda64203972

diff --git a/app-emacs/typescript-mode/files/50typescript-mode-gentoo.el b/app-emacs/typescript-mode/files/50typescript-mode-gentoo.el
new file mode 100644
index 000000000000..7d8a4986d35f
--- /dev/null
+++ b/app-emacs/typescript-mode/files/50typescript-mode-gentoo.el
@@ -0,0 +1,4 @@
+(add-to-list 'load-path "@SITELISP@")
+(autoload 'typescript-mode "typescript-mode"
+  "Major mode for editing typescript." t)
+(add-to-list 'auto-mode-alist '("\\.ts\\'" . typescript-mode))

diff --git a/app-emacs/typescript-mode/metadata.xml b/app-emacs/typescript-mode/metadata.xml
new file mode 100644
index 000000000000..96355bfba917
--- /dev/null
+++ b/app-emacs/typescript-mode/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>gnu-emacs@gentoo.org</email>
+    <name>Gentoo GNU Emacs project</name>
+  </maintainer>
+  <upstream>
+    <bugs-to>https://github.com/emacs-typescript/typescript.el/issues/</bugs-to>
+    <remote-id type="github">emacs-typescript/typescript.el</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/app-emacs/typescript-mode/typescript-mode-0.4.ebuild b/app-emacs/typescript-mode/typescript-mode-0.4.ebuild
new file mode 100644
index 000000000000..cdb6b235f506
--- /dev/null
+++ b/app-emacs/typescript-mode/typescript-mode-0.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=24.3
+
+inherit elisp
+
+DESCRIPTION="TypeScript-support for Emacs"
+HOMEPAGE="https://github.com/emacs-typescript/typescript.el/"
+SRC_URI="https://github.com/emacs-typescript/typescript.el/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/typescript.el-${PV}
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+	elisp-compile ${PN}.el
+}
+
+src_test() {
+	${EMACS} ${EMACSFLAGS} -L . -l typescript-mode-tests.el \
+			 -f ert-run-tests-batch-and-exit || die
+}
+
+src_install() {
+	elisp-install ${PN} ${PN}.el{,c}
+	elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+
+	dodoc README.md
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2022-05-05 11:22 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-05-05 11:22 [gentoo-commits] repo/gentoo:master commit in: app-emacs/typescript-mode/, app-emacs/typescript-mode/files/ Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox